using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenije
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string linija = Console.ReadLine();
            int N = int.Parse(linija.Split(' ')[0] + "");
            int L = int.Parse(linija.Split(' ')[1] + "");
            linija = Console.ReadLine();
            string[]nizStalaktita = linija.Split(' ');
            int br = 0;
            for(int i = 0;i<nizStalaktita.Length;i++) 
            {
                if (L >= int.Parse(nizStalaktita[i]+""))
                {
                    break;
                }
                br++;
            }
            br++;
            if(br>nizStalaktita.Length-1) Console.WriteLine(-1);
            else Console.WriteLine(br);
        }
    }
}